CVE-2017-14340

MEDIUM

Description

The XFS_IS_REALTIME_INODE macro in fs/xfs/xfs_linux.h in the Linux kernel before 4.13.2 does not verify that a filesystem has a realtime device, which allows local users to cause a denial of service (NULL pointer dereference and OOPS) via vectors related to setting an RHINHERIT flag on a directory.

References

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=b31ff3cdf540110da4572e3e29bd172087af65cc

http://seclists.org/oss-sec/2017/q3/436

http://www.debian.org/security/2017/dsa-3981

http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.13.2

http://www.securityfocus.com/bid/100851

https://access.redhat.com/errata/RHSA-2017:2918

https://bugzilla.redhat.com/show_bug.cgi?id=1491344

https://github.com/torvalds/linux/commit/b31ff3cdf540110da4572e3e29bd172087af65cc

Details

Source: MITRE

Published: 2017-09-15

Updated: 2017-12-07

Type: CWE-476

Risk Information

CVSS v2.0

Base Score: 4.9

Vector: AV:L/AC:L/Au:N/C:N/I:N/A:C

Impact Score: 6.9

Exploitability Score: 3.9

Severity: MEDIUM

CVSS v3.0

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 1.8

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:* versions up to 4.13.1 (inclusive)

Tenable Plugins

View all (16 total)

IDNameProductFamilySeverity
141697EulerOS Virtualization 3.0.2.2 : kernel (EulerOS-SA-2020-2222)NessusHuawei Local Security Checks
high
124795EulerOS Virtualization for ARM 64 3.0.1.0 : kernel (EulerOS-SA-2019-1471)NessusHuawei Local Security Checks
high
121734Photon OS 1.0: Linux PHSA-2017-0036NessusPhotonOS Local Security Checks
medium
111885Photon OS 1.0: Linux PHSA-2017-0036 (deprecated)NessusPhotonOS Local Security Checks
medium
105685SUSE SLES11 Security Update : kernel (SUSE-SU-2018:0040-1) (BlueBorne) (KRACK) (Meltdown) (Spectre)NessusSuSE Local Security Checks
high
105172SUSE SLES11 Security Update : kernel (SUSE-SU-2017:3265-1) (KRACK)NessusSuSE Local Security Checks
critical
104322Ubuntu 14.04 LTS : linux vulnerabilities (USN-3470-1)NessusUbuntu Local Security Checks
high
104321Ubuntu 14.04 LTS : linux-lts-xenial vulnerabilities (USN-3469-2)NessusUbuntu Local Security Checks
high
104320Ubuntu 16.04 LTS : linux, linux-aws, linux-gke, linux-kvm, linux-raspi2, linux-snapdragon vulnerabilities (USN-3469-1)NessusUbuntu Local Security Checks
high
104319Ubuntu 16.04 LTS : linux-gcp vulnerabilities (USN-3468-3)NessusUbuntu Local Security Checks
high
104318Ubuntu 16.04 LTS : linux-hwe vulnerabilities (USN-3468-2)NessusUbuntu Local Security Checks
high
104317Ubuntu 17.04 : linux, linux-raspi2 vulnerabilities (USN-3468-1)NessusUbuntu Local Security Checks
high
104180Amazon Linux AMI : kernel (ALAS-2017-914) (BlueBorne)NessusAmazon Linux Local Security Checks
high
104090RHEL 6 : MRG (RHSA-2017:2918)NessusRed Hat Local Security Checks
high
103365Debian DSA-3981-1 : linux - security update (BlueBorne) (Stack Clash)NessusDebian Local Security Checks
high
103363Debian DLA-1099-1 : linux security update (BlueBorne) (Stack Clash)NessusDebian Local Security Checks
high